/*
 * queries_test.cpp
 *
 *  Created on: 2010/09/29
 *      Author: shu
 */

#include <gtest/gtest.h>
#include <string>
#include <stdint.h>
#include <getopt.h>
#include "../src/queries.h"
#include "../src/aligner_parameters.h"

using namespace std;

extern int  optind;

TEST(QueriesTest, Queries)
{
  optind = 0;
  int argc = 5;
  string option[5];
  option[0] = "aln";
  option[1] = "-r";
  option[2] = "-1";
  option[3] = "-i";
  option[4] = "./test_protein.fa";
  char *argv[argc];

  for (int i = 0; i < argc; ++i) {
    argv[i] = new char[option[i].length() + 1];
    strcpy(argv[i], option[i].c_str());
  }

  AlignerParameters parameters;
  parameters.SetParameters(argc, argv);
  Queries queries( parameters );

  //EXPECT_EQ(7, queries.GetNumberSequences());
  //EXPECT_EQ(183, queries.GetConcatenatedSequenceLength());
  EXPECT_EQ(string("test0"), queries.GetQuery(0)->GetName());
  for (int i = 0; i < argc; ++i) {
    delete [] argv[i];
  }

}

